package com.zhilin.patrol.bean;

import java.io.Serializable;
import java.util.List;

/**
 * 问题类型实体
 */
public class QuestionKindEntity extends BaseEntity<List<QuestionKindEntity.InfoListBean>> implements Serializable{

    public static class InfoListBean implements Serializable {
        /** 标题 */
        private String title;

        private List<ListBean> kindSon;

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public List<ListBean> getKindSon() {
            return kindSon;
        }

        public void setKindSon(List<ListBean> kindSon) {
            this.kindSon = kindSon;
        }
    }

    public static class ListBean implements Serializable {
        /** 标题 */
        private String title;

        private List<Bean> sonCell;

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public List<Bean> getSonCell() {
            return sonCell;
        }

        public void setSonCell(List<Bean> sonCell) {
            this.sonCell = sonCell;
        }
    }

    public static class Bean implements Serializable {
        /**
         * qCode : q001
         * qName : 垃圾未分类
         */
        /** 问题编号 */
        private String qCode;
        /** 问题名称 */
        private String qName;
        /** 是否选中 */
        private boolean isSelected;

        public String getqCode() {
            return qCode;
        }

        public void setqCode(String qCode) {
            this.qCode = qCode;
        }

        public String getqName() {
            return qName;
        }

        public void setqName(String qName) {
            this.qName = qName;
        }

        public boolean isSelected() {
            return isSelected;
        }

        public void setSelected(boolean selected) {
            isSelected = selected;
        }
    }
}
